PR_SET_FPEXC(2const)

NAME
PR_SET_FPEXC - set the floating-point exception mode

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <linux/prctl.h>  /* Definition of PR_* constants */
#include <sys/prctl.h>

int prctl(PR_SET_FPEXC, unsigned long mode);

DESCRIPTION
Set floating-point exception mode to mode, which can be one of the following values.

PR_FP_EXC_SW_ENABLE
    Use FPEXC for FP exception enables.

PR_FP_EXC_DIV
    Use FPEXC for floating-point divide by zero.

PR_FP_EXC_OVF
    Use FPEXC for floating-point overflow.

PR_FP_EXC_UND
    Use FPEXC for floating-point underflow.

PR_FP_EXC_RES
    Use FPEXC for floating-point inexact result.

PR_FP_EXC_INV
    Use FPEXC for floating-point invalid operation.

PR_FP_EXC_DISABLED
    Use FPEXC for FP exceptions disabled.

PR_FP_EXC_NONRECOV
    Use FPEXC for async nonrecoverable exception mode.

PR_FP_EXC_ASYNC
    Use FPEXC for async recoverable exception mode.

PR_FP_EXC_PRECISE
    Use FPEXC for precise exception mode.

RETURN VALUE
On success, 0 is returned. On error, -1 is returned, and errno is set to indicate the error.

ERRORS

EINVAL
    mode is not a valid value.

STANDARDS
Linux. PowerPC only.

HISTORY
Linux 2.4.21, 2.5.32. (PowerPC)

SEE ALSO
prctl(2), PR_GET_FPEXC(2const)